Update Conversation
curl --request PATCH \
--url https://api.example.com/api/v1/allmodelchat/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"model_id": "<string>",
"style_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folder": "<string>",
"is_pinned": true
}
'import requests
url = "https://api.example.com/api/v1/allmodelchat/conversations/{conversation_id}"
payload = {
"title": "<string>",
"model_id": "<string>",
"style_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folder": "<string>",
"is_pinned": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
model_id: '<string>',
style_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
folder: '<string>',
is_pinned: true
})
};
fetch('https://api.example.com/api/v1/allmodelchat/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"model_id": "<string>",
"style_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folder": "<string>",
"is_pinned": true,
"status": "<string>",
"message_count": 123,
"total_cost_credits": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}AllModelChat
Update Conversation
Update conversation title, folder, or style.
PATCH
/
api
/
v1
/
allmodelchat
/
conversations
/
{conversation_id}
Update Conversation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I